Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.merchant-orders.search-merchant-orders ​

Search merchant orders

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
statusstringNo——
preference_idstringNo——
application_idstringNo——
payer_idintegerNo——
sponsor_idintegerNo——
external_referencestringNo——
site_idstringNo——
marketplacestringNo——
date_created_fromstringNo——
date_created_tostringNo——
last_updated_fromstringNo——
last_updated_tostringNo——
limitintegerNo——
offsetintegerNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
statusstringNo——
preference_idstringNo——
application_idstringNo——
payer_idintegerNo——
sponsor_idintegerNo——
external_referencestringNo——
site_idstringNo——
marketplacestringNo——
date_created_fromstringNo——
date_created_tostringNo——
last_updated_fromstringNo——
last_updated_tostringNo——
limitintegerNo——
offsetintegerNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /merchant_orders/search
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /merchant_orders/search
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.merchant-orders.search-merchant-orders",
  "initial_data": {
    "base_url": "value"
  }
}